/**
 * @file
 * JavaScript behaviors for PHP Compatibility Scanner.
 */

(function ($, Drupal) {
    'use strict';

    /**
     * Behavior for PHP Compatibility Scanner dialogs.
     */
    Drupal.behaviors.phpCompatibilityScannerDialog = {
      attach: function (context, settings) {
        // Ensure links with class 'use-ajax' open in dialog
        $('a.use-ajax', context).once('php-compatibility-scanner').each(function () {
          let element = $(this);

          // Make sure we add the correct dialog options if not already set
          if (!element.data('dialog-options')) {
            element.data('dialog-options', JSON.stringify({
              width: '800',
              dialogClass: 'php-compatibility-issues-modal'
            }));
          }
        });
      }
    };

  })(jQuery, Drupal);